/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IChannelAttributes, IChannelFactory, IChannelServices, IFluidDataStoreRuntime } from "@fluidframework/datastore-definitions";
import { ITaskManager } from "./interfaces.js";
/**
 * The factory that defines the task queue
 */
export declare class TaskManagerFactory implements IChannelFactory {
    static readonly Type = "https://graph.microsoft.com/types/task-manager";
    static readonly Attributes: IChannelAttributes;
    get type(): string;
    get attributes(): IChannelAttributes;
    /**
     * {@inheritDoc @fluidframework/datastore-definitions#IChannelFactory.load}
     */
    load(runtime: IFluidDataStoreRuntime, id: string, services: IChannelServices, attributes: IChannelAttributes): Promise<ITaskManager>;
    create(document: IFluidDataStoreRuntime, id: string): ITaskManager;
}
//# sourceMappingURL=taskManagerFactory.d.ts.map